package com.yfd.platform.modules.auxcontrol.controller;


import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.yfd.platform.config.ResponseResult;
import com.yfd.platform.modules.auxcontrol.domain.DeviceSignal;
import com.yfd.platform.modules.auxcontrol.mapper.DeviceSignalMapper;
import com.yfd.platform.modules.basedata.domain.SubstationModel;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 变电站-辅控设备-信号 前端控制器
 * </p>
 *
 * @author zhengsl
 * @since 2025-04-23
 */
@RestController
@RequestMapping("/auxcontrol/device-signal")
@Api(value = "DeviceSignalController", tags = "变电站辅控设备信号")
public class DeviceSignalController {

    @Resource
    private DeviceSignalMapper deviceSignalMapper;

    @GetMapping("/getDeviceSignal")
    @ApiOperation("查询信号")
    public ResponseResult getDeviceSignal(String type, String address) {
        return ResponseResult.successData(deviceSignalMapper.selectDeviceSignalMap("", type, address));

    }
}
