package com.yfd.platform.modules.auxcontrol.service;

import com.yfd.platform.modules.auxcontrol.domain.DeviceSignal;
import com.baomidou.mybatisplus.extension.service.IService;

import java.text.ParseException;

/**
 * <p>
 * 变电站-辅控设备-信号 服务类
 * </p>
 *
 * @author zhengsl
 * @since 2025-04-23
 */
public interface IDeviceSignalService extends IService<DeviceSignal> {

    /**********************************
     * 用途说明: 遥测 、遥信数据更新到数据库
     * 参数说明
     * netaddres  网关机设备地址
     * address  信号地址
     * type  信号类型  yx-遥信 yc-遥测
     * value  数据采集结果
     * dateTime  数据采集时标
     * 返回值说明: bool 更新成功或者失败
     ***********************************/
    boolean updateDeviceSignalValue(String slaveIp, String address, String type, String value, String dateTime) throws ParseException;
}
