package com.yfd.platform.modules.basedata.controller;

import cn.hutool.core.util.StrUtil;
import com.yfd.platform.config.ResponseResult;
import com.yfd.platform.modules.basedata.service.IWeatherLogService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.Map;

/**
 * <p>
 * 微气象数据日志表 前端控制器
 * </p>
 *
 *
 * @since 2023-04-27
 */
@RestController
@RequestMapping("/basedata/weather-log")
@Api(value = "WeatherLogController", tags = "微气象数据日志")
public class WeatherLogController {

    @Resource
    private IWeatherLogService weatherLogService;

    @GetMapping("/getWeatherLogList")
    @ApiOperation("查询环境信息")
    public ResponseResult getWeatherLogList(String stationId) {

        if (StrUtil.isBlank(stationId)) {
            return ResponseResult.error("未传变电站信息");
        }
        Map<String, Object> weatherDevice = weatherLogService.getWeatherLogList(stationId);
        return ResponseResult.successData(weatherDevice);
    }

}
