package com.yfd.platform.modules.patroltask.service;

import cn.hutool.json.JSONObject;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yfd.platform.modules.patroltask.domain.AlarmLog;
import com.yfd.platform.modules.patroltask.domain.TaskResult;

import java.io.UnsupportedEncodingException;
import java.util.Map;

/**
 * <p>
 * 告警日志表 服务类
 * </p>
 *
 *
 * @since 2023-05-03
 */
public interface IAlarmLogService extends IService<AlarmLog> {

  void sendNonCoherentMsg1(TaskResult taskResult, double alertValue) throws Exception;

  boolean updateTaskResult(JSONObject jsonObject) throws Exception;

  //静默任务返回报警记录
  boolean createAlarm(JSONObject jsonObject) throws Exception;

  /**********************************
   * 用途说明: 静默监视查询
   * 参数说明 stationId
   * 参数说明 areaId
   * 参数说明 patrolDeviceName
   * 参数说明 monitorType
   * 返回值说明: java.util.List<java.util.Map<java.lang.String,java.lang.Object>>
   ***********************************/
  Page<Map<String, Object>> getAlarmListByType(Page<Map<String, Object>> page, String stationId, String areaId,
                                               String patrolDeviceName, String monitorType);

  /**********************************
  * 用途说明: 根据设备编号查询告警列表
  * 参数说明 page
  * 参数说明 patrolDeviceCode
  * 参数说明 monitorType
  * 参数说明 startDate
  * 参数说明 endDate
  * 返回值说明: com.baomidou.mybatisplus.extension.plugins.pagination.Page<java.util.Map<java.lang.String,java.lang.Object>>
  ***********************************/
  Page<Map<String, Object>> getAlarmListPage(Page<Map<String, Object>> page, String patrolDeviceCode, String monitorType, String startDate, String endDate);

  Page<Map<String, Object>> getAlarmLogPage(Page<Map<String, Object>> page, String stationCode, String taskAlarmType,
                                            String alarmLevel, String checkFlag, String startDate, String endDate);

  boolean setAlarmLogStatus(AlarmLog alarmLog);

  Map<String, Object> getAlarmLogById(String id);

  boolean updateDeviceResult(JSONObject jsonObject) throws Exception;

}
